レッスン5 / 6問目

『raise(例外処理)』

このレッスンでは意図的に例外を発生させるraiseについて見ていきましょう。

raiseについて

raiseを使用することで意図的に例外を発生させることができます。

raiseに続けて例外とその内容を記述します。

raise 例外("例外の内容")

では、具体例を見ていきましょう。以下の例ではraiseで例外を発生させexceptで例外をキャッチしています。

  1. try:
  2.     raise TypeError("エラー")    # TypeErrorを発生させる
  3. except TypeError as e:
  4.     print(e)
エラー

raiseを使うことで、上記のように意図的に例外を発生させることができます。

どのような場面でraiseを使うのか

raiseにより意図的に例外を発生させる方法について紹介しましたが、なぜわざわざ例外を発生させる必要があるのでしょうか。

例えば、自作した関数などで自分が意図したプログラムとならないような場合に例外を発生させたりします。
try文の中でif文を使用するなどして、ある条件の際に例外を発生させるという使い方をします。

ここでは、プログラムを書いていると意図的に例外を発生させたいケースがあり、その際にraiseを使用するということを押さえておきましょう。

では、演習課題にチャレンジしましょう。

Lesson1

try文でraiseを用いて例外を発生させ、例外の内容をexceptでキャッチし出力してください。

例外はIndexErrorとし、エラーは以下の内容としてください。

Last updated:2020/5/1

例外が発生しました
  1. # 問題1
  2. try:
  3. raise IndexError("例外が発生しました")
  4. except IndexError as e:
  5. print(e)
main.py
設定
g
n
i
d
a
o
L